Errors with IBM WebSphere Running CA Web Viewer 12.1 and Java 1.8
search cancel

Errors with IBM WebSphere Running CA Web Viewer 12.1 and Java 1.8

book

Article ID: 100929

calendar_today

Updated On:

Products

Output Management Web Viewer

Issue/Introduction

CA Output Management Web Viewer running under WebSphere. After the server was updated to Java 1.8, users found Web Viewer took a long time to logon and respond.  It didn't build a repository list and timed out doing a repository status. 
The following error occurred: java.lang.ClassCastException: org.eclipse.persistence.jpa.PersistenceProvider incompatible with javax.persistence.spi.PersistenceProvider

Environment

Release: CA Output Management Web Viewer 12.1

Component: WBVLUW

Java 1.8

IBM WebSphere

Resolution

These are the additional WebSphere resources required for JPA and/or Java 1.8:

1)Under  Application servers>Server name>Process definition>Servant>Java Virtual Machine>Custom Properties
...the new resource

com.ibm.websphere.persistence.ApplicationsExcludedfromJpaProcessing

Value = CAOPMWebViewer12_ear:

2) Under ...Servant>Java Virtual Machine (Runtime), the Generic JVM argument:

 -Dsun.lang.ClassLoader.allowArraySyntax=true